Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class ByteArrayBuilder

    java.lang.Object
      com.servingxml.util.ByteArrayBuilder

    public class ByteArrayBuilder

extends java.lang.Object

Constructor Summary
`ByteArrayBuilder()`
`ByteArrayBuilder(int capacity)`

Method Summary
`void` | `append(byte b)`
`void` | `append(byte[] bytes)`
`void` | `append(byte[] bytes, int start, int len)`
`int` | `append(java.io.InputStream is, int count)`
`byte[]` | `buffer()`
`void` | `clear()`
`void` | `grow(int n)`
`int` | `length()`
`void` | `prepend(byte[] bytes, int start, int len)`
`void` | `put(int start, byte[] bytes)`
`int` | `start()`
`byte[]` | `toByteArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayBuilder

    public ByteArrayBuilder()

### ByteArrayBuilder

    public ByteArrayBuilder(int capacity)

Method Detail

### buffer

    public byte[] buffer()

### length

    public int length()

### start

    public int start()

### clear

    public void clear()

### grow

    public final void grow(int n)

### append

    public void append(byte b)

### put

    public void put(int start,
                    byte[] bytes)

### append

    public void append(byte[] bytes)

### append

    public void append(byte[] bytes,
                       int start,
                       int len)

### append

    public int append(java.io.InputStream is,
                      int count)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### prepend

    public void prepend(byte[] bytes,
                        int start,
                        int len)

### toByteArray

    public byte[] toByteArray()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD